#!/usr/bin/python
if __name__ == '__main__':
  import sys
  import os
  sys.path.insert(0, os.path.abspath('config'))
  import configure
  configure_options = [
    '--with-umfpack-lib=[libumfpack.so,libamd.so]',
    '--with-mpe-include=/usr/include',
    '--with-zoltan-dir=/usr',
    '--with-blocksolve95=1',
    '--with-expat=1',
    '--with-scotch-dir=/usr',
    '--prefix=/usr',
    '--with-expat-dir=/usr',
    '--with-fiat=1',
    '--with-tetgen-dir=/usr',
    '--with-oski-include=/usr/include/oski',
    '--with-hdf5=1',
    '--with-hypre=1',
    '--with-chaco-dir=/usr',
    '--with-parmetis=1',
    '--with-numpy-dir=/usr',
    '--with-netcdf-dir=/usr/lib/openmpi',
    '--with-superlu_dist=1',
    '--COPTFLAGS=-pipe -Wall -g -O2 -fPIC -DPIC -DPETSC_HAVE_MPE -I/usr/lib/petsc-real/include/sieve -DPETSC_HAVE_NETCDF -I/usr/lib/openmpi/include/netcdf-3',
    '--with-sundials=1',
    '--with-mumps=1',
    '--with-blas-lapack-lib=[libxerbla.a,liblapack.so,libgoto2.so]',
    '--with-mpi-dir=/usr/lib/openmpi',
    '--with-timer=mpi',
    '--FOPTFLAGS=-pipe -Wall -g -O2 -fPIC -DPIC -DPETSC_HAVE_MPE -I/usr/lib/petsc-real/include/sieve -DPETSC_HAVE_NETCDF -I/usr/lib/openmpi/include/netcdf-3',
    '--search-dirs=/bin:/usr/bin:/usr/lib/openmpi/bin',
    '--with-is-color-value-type=char',
    '--CXX=mpicxx',
    '--with-boost-dir=/usr',
    '--with-umfpack-include=/usr/include/suitesparse',
    '--with-triangle=1',
    '--with-scalapack-lib=[libscalapack.so,libblacs.so,libarpack_LINUX.so]',
    '--with-scalar-type=real',
    '--ignoreCompileOutput=0',
    'PETSC_ARCH=linux-gnu',
    '--with-plapack=1',
    '--with-alternatives=1',
    '--with-blacs-include=/usr/include',
    '--with-mpi-shared=1',
    '--with-fiat-dir=/usr/lib/python2.6/site-packages',
    '--with-superlu-include=/usr/include',
    '--with-hypre-lib=[libHYPRE.so,libgomp.so]',
    '--with-host-cpu=x86_64',
    '--with-plapack-include=/usr/include/plapack',
    '--with-spai-include=/usr/include/spai',
    '--with-parmetis-include=/usr/include/parmetis',
    '--with-scalapack-include=/usr/include',
    '--with-spai-lib=libspai.so',
    '--with-spai=1',
    '--with-mpe-lib=[liblmpe.so,libmpe.so]',
    '--with-blocksolve95-bopt=O',
    '--with-mpe=1',
    '--with-blopex-lib=libBLOPEX.so',
    '--with-oski-lib=[liboski.so,liboski_Tid.so]',
    '--with-debugging=yes',
    '--with-netcdf=1',
    '--with-blocksolve95-dir=/usr',
    '--with-pastix-lib=[libpastix.so,libparmetis.so,libptscotch.so,librt.so]',
    '--CXXOPTFLAGS=-pipe -Wall -g -O2 -fPIC -DPIC -DPETSC_HAVE_MPE -I/usr/lib/petsc-real/include/sieve -DPETSC_HAVE_NETCDF -I/usr/lib/openmpi/include/netcdf-3',
    '--with-parms=1',
    '--FC=mpif90',
    '--with-cproto=1',
    '--LIBS=-L/usr -L/usr/lib64/oski -llmpe -lmpe  ',
    '--with-spooles-include=/usr/lib/spooles/include',
    '--with-chaco=1',
    '--with-superlu=1',
    '--with-umfpack=1',
    '--with-zoltan=1',
    '--with-sprng-lib=[libcmrg.so,liblcg64.so,liblcg.so,liblfg.so,libmlfg.so]',
    '--with-sprng=1',
    '--with-blocksolve95-arch=linux',
    '--with-clanguage=C++',
    '--with-blopex-include=/usr/include/libblopex',
    '--with-xt=1',
    '--with-spooles-lib=[libspoolesMPI.so,libspooles.so]',
    '--with-c2html=1',
    '--with-c2html-dir=/usr',
    '--with-spooles=1',
    '--with-cproto-dir=/usr',
    '--with-scalapack=1',
    '--with-hdf5-dir=/usr',
    '--CC=mpicc',
    '--with-parms-dir=/usr',
    '--with-ffc=1',
    '--with-parmetis-lib=[libparmetis.so]',
    '--with-numpy=1',
    '--with-shared',
    '--with-ml-lib=[libml.so,libamesos.so,libepetraext.so,libifpack.so,libaztecoo.so,libepetra.so,libteuchos.so,liby12m.so]',
    '--with-oski=1',
    '--with-triangle-include=/usr/include/triangle',
    '--with-superlu_dist-include=/usr/include/superlu_dist',
    '--with-sundials-include=/usr/include/sundials-double',
    '--with-hypre-include=/usr/include/hypre',
    '--with-superlu-lib=[libtmglib.so,libsuperlu_4.0.so]',
    '--with-pastix-include=/usr/include',
    '--ignoreWarnings=0',
    '--with-debugger=gdb',
    '--with-ml=1',
    '--with-blopex=1',
    '--with-sowing-dir=/usr',
    '--with-boost=1',
    '--with-superlu_dist-lib=libsuperlu_dist_2.4.so',
    '--with-triangle-lib=libtriangle.so',
    '--with-sundials-lib=[libsundials_cvode.so,libsundials_nvecserial.so,libsundials_nvecparallel.so]',
    '--with-sprng-include=/usr/include/sprng1',
    '--with-tetgen=1',
    '--with-blacs=1',
    '--with-mumps-include=/usr/include',
    '--with-generator=/usr/lib64/python2.6/site-packages/petsc_config/Generator',
    '--with-blacs-lib=[libblacs.so]',
    '--with-ml-include=/usr/include',
    '--with-pastix=1',
    '--with-sowing=1',
    '--with-mumps-lib=[libcmumps.so,libdmumps.so,libsmumps.so,libzmumps.so,libmumps_common.so,libpord.so,libesmumps.so,libscotch.so,libscotcherr.so]',
    '--with-scotch=1',
    '--with-plapack-lib=[libPLAPACK.so]',
    '--with-fortran-interfaces=1',
    '--with-ffc-dir=/usr',
  ]
  configure.petsc_configure(configure_options)
